org.apache.storm.security.auth

## Class ThriftServer

- java.lang.Object
- - org.apache.storm.security.auth.ThriftServer

-     public class ThriftServer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.storm.thrift.TProcessor` | `processor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftServer(Map<String,Object> conf, org.apache.storm.thrift.TProcessor processor, ThriftConnectionType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPort()` Get port.
    `boolean` | `isServing()` Check whether serving.
    `void` | `serve()`
    `void` | `stop()`
    `boolean` | `supportsWorkerTokens()` Check if worker tokens are supported by this thrift server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processor

          protected final org.apache.storm.thrift.TProcessor processor

  - ### Constructor Detail

    - #### ThriftServer

          public ThriftServer(Map<String,Object> conf,
                              org.apache.storm.thrift.TProcessor processor,
                              ThriftConnectionType type)

  - ### Method Detail

    - #### stop

          public void stop()

    - #### isServing

          public boolean isServing()

      Check whether serving.

      Returns:
        true if ThriftServer is listening to requests?

    - #### serve

          public void serve()

    - #### getPort

          public int getPort()

      Get port.

      Returns:
        The port this server is/will be listening on

    - #### supportsWorkerTokens

          public boolean supportsWorkerTokens()

      Check if worker tokens are supported by this thrift server.

      Returns:
        true if they are else false.

Copyright © 2019 The Apache Software Foundation. All rights reserved.